Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-qt/luaconsole.cpp File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions | Variables
luaconsole.cpp File Reference
`#include <QFileDialog>`
`#include <QString>`
`#include "shared.h"`
`#include "featured_text.h"`
`#include "script_client.h"`
`#include "fc_client.h"`
`#include "luaconsole.h"`
`#include "qtg_cxxside.h"`

Go to the source code of this file.

## Functions

void | luaconsole_dialog_popup (bool raise)
bool | luaconsole_dialog_is_open (void)
void | real_luaconsole_dialog_update (void)
void | real_luaconsole_append (const char *astring, const struct text_tag_list *tags)
void | qload_lua_script ()
void | qreload_lua_script ()

## Variables

QString | qlua_filename

## Function Documentation

## ◆ luaconsole_dialog_is_open()

bool luaconsole_dialog_is_open | ( | void |  | ) |

Return true if the lua console is open.

Definition at line 48 of file luaconsole.cpp.

## ◆ luaconsole_dialog_popup()

void luaconsole_dialog_popup | ( | bool | raise | ) |

Popup the lua console inside the main-window, and optionally raise it.

Definition at line 40 of file luaconsole.cpp.

## ◆ qload_lua_script()

void qload_lua_script | ( |  | ) |

Load and execute lua script

Definition at line 73 of file luaconsole.cpp.

Referenced by map_view::shortcut_pressed().

## ◆ qreload_lua_script()

void qreload_lua_script | ( |  | ) |

Reload last lua script

Definition at line 89 of file luaconsole.cpp.

Referenced by map_view::shortcut_pressed().

## ◆ real_luaconsole_append()

void real_luaconsole_append | ( | const char * | astring,
|  | const struct text_tag_list * | tags
| ) |  |

Appends the string to the chat output window. The string should be inserted on its own line, although it will have no newline.

Definition at line 64 of file luaconsole.cpp.

## ◆ real_luaconsole_dialog_update()

void real_luaconsole_dialog_update | ( | void |  | ) |

Update the lua console.

Definition at line 56 of file luaconsole.cpp.

## Variable Documentation

## ◆ qlua_filename

QString qlua_filename

Definition at line 35 of file luaconsole.cpp.

Referenced by qload_lua_script(), and qreload_lua_script().